# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "columbus"
version = "0.1.0"
authors = ["Sivaprakash P"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A TUI file explorer written in RUST with Ratatui"
homepage = "https://github.com/sivaprakashkrp/columbus"
readme = "README.md"
keywords = [
    "files",
    "explorer",
    "tui",
    "rust",
    "ratatui",
]
categories = [
    "command-line-utilities",
    "filesystem",
]
license = "GPL-2.0-or-later"
repository = "https://github.com/sivaprakashkrp/columbus"

[[bin]]
name = "columbus"
path = "src/main.rs"

[dependencies.chrono]
version = "0.4.41"

[dependencies.clap]
version = "4.5.54"
features = ["derive"]

[dependencies.crossterm]
version = "0.29.0"

[dependencies.fs_extra]
version = "1.3.0"

[dependencies.hf]
version = "0.5.1"

[dependencies.is_executable]
version = "1.0.5"

[dependencies.itertools]
version = "0.14.0"

[dependencies.ratatui]
version = "0.30.0"

[dependencies.serde]
version = "1.0.228"
features = ["derive"]

[dependencies.strum]
version = "0.27.2"

[dependencies.strum_macros]
version = "0.27.2"

[dependencies.sysinfo]
version = "0.38.0"

[dependencies.toml]
version = "0.9.11"

[dependencies.tui-input]
version = "0.15.0"

[profile.release]
opt-level = "z"
lto = true
codegen-units = 1
panic = "abort"
strip = true
